PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | List of all members
plask::SameMeshChecker Struct Reference

Object of this class allows for checking if a given mesh is the same mesh which has been used recently. More...

`#include <plask/mesh/utils.hpp>`

## Public Member Functions
bool | operator() (const Mesh *mesh)
| Check if this operator has been recently called with given `mesh` and this `mesh` has not been changed since that time.
bool | operator() (shared_ptr< const Mesh > mesh)
| Check if this operator has been recently called with given `mesh` and this `mesh` has not been changed since that time.
| SameMeshChecker ()
| Constructor.

## Detailed Description

Object of this class allows for checking if a given mesh is the same mesh which has been used recently.

Definition at line 28 of file utils.hpp.

## Constructor & Destructor Documentation

## ◆ SameMeshChecker()

plask::SameMeshChecker::SameMeshChecker | ( |  | ) |
| inline

Constructor.

Definition at line 83 of file utils.hpp.

## Member Function Documentation

## ◆ operator()() [1/2]

bool plask::SameMeshChecker::operator() | ( | const Mesh * | mesh | ) |
| inline

Check if this operator has been recently called with given `mesh` and this `mesh` has not been changed since that time.

Parameters

  mesh | mesh to check

Returns
  `true` only if this operator has been recently called with given `mesh` and this `mesh` has not been changed since that time.

Definition at line 54 of file utils.hpp.

## ◆ operator()() [2/2]

bool plask::SameMeshChecker::operator() | ( | shared_ptr< const Mesh > | mesh | ) |
| inline

Check if this operator has been recently called with given `mesh` and this `mesh` has not been changed since that time.

Parameters

  mesh | mesh to check

Returns
  `true` only if this operator has been recently called with given `mesh` and this `mesh` has not been changed since that time.

Definition at line 68 of file utils.hpp.

The documentation for this struct was generated from the following files:

- plask/mesh/utils.hpp
- plask/mesh/utils.cpp